{ ------------------------------------------------------------------------------------------------
  EvtScroll.pas                                Copyright  1998-99 by DithoSoft Software Solutions
  Version 1.00
  ------------------------------------------------------------------------------------------------
  TScrollBox descendant that fires events when scrolling is done.
  ------------------------------------------------------------------------------------------------ }
unit EvtScroll;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TEventScrollBox = class(TScrollBox)
  private
    FOnScrollHorz,
    FOnScrollVert : TNotifyEvent;

    procedure WMHScroll(var Message: TWMHScroll); message WM_HSCROLL;
    procedure WMVScroll(var Message: TWMVScroll); message WM_VSCROLL;
  published
    property OnScrollHorz: TNotifyEvent read FOnScrollHorz write FOnScrollHorz;
    property OnScrollVert: TNotifyEvent read FOnScrollVert write FOnScrollVert;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Freeware', [TEventScrollBox]);
end;

procedure TEventScrollBox.WMHScroll(var Message: TWMHScroll);
begin
  inherited;

  if Assigned(FOnScrollHorz) then
    FOnScrollHorz(Self);
end;

procedure TEventScrollBox.WMVScroll(var Message: TWMVScroll);
begin
  inherited;

  if Assigned(FOnScrollVert) then
    FOnScrollVert(Self);
end;

end.
